Page Summary
-
This operation lists available return carriers linked to a specific Merchant Center account.
-
It uses an HTTP GET request with the account ID as a path parameter.
-
The response provides a list of
AccountReturnCarrierobjects, detailing the available return carriers. -
Authorization requires the
https://www.googleapis.com/auth/contentscope.
Lists available return carriers in the merchant account.
HTTP request
GET https://shoppingcontent.googleapis.com/content/v2.1/accounts/{accountId}/returncarrier
Path parameters
| Parameters | |
|---|---|
accountId |
Required. The Merchant Center Account Id under which the Return Carrier is to be linked. |
Request body
The request body must be empty.
Response body
Response for listing account return carriers.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"accountReturnCarriers": [
{
object ( |
| Fields | |
|---|---|
accountReturnCarriers[] |
List of all available account return carriers for the merchant. |
Authorization scopes
Requires one of the following OAuth scopes:
https://www.googleapis.com/auth/content
For more information, see the OAuth 2.0 Overview.